# -*- coding: utf-8 -*-

from utils.redis.connect import r
from utils.redis.rkeys import TOUR_GUIDE_GROUP_USER_OWN


def set_tour_guide_own_group(user_id, group_id):
    """ 设置导游拥有的旅行团 """
    r.set(TOUR_GUIDE_GROUP_USER_OWN % user_id, group_id)


def get_tour_guide_own_group(user_id):
    """ 获取导游拥有的旅行团 """
    return r.get(TOUR_GUIDE_GROUP_USER_OWN % user_id)


def del_tour_guide_own_group(user_id):
    """ 删除导游拥有的旅行团 """
    return r.delete(TOUR_GUIDE_GROUP_USER_OWN % user_id)
